Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.opad.model
Class NamedDoubleTimeSeriesPoint

    java.lang.Object
      kieker.tools.tslib.TimeSeriesPoint<Double>
          kieker.tools.opad.model.NamedDoubleTimeSeriesPoint

All Implemented Interfaces:
  INamedElement, ITimeSeriesPoint<Double>

    public class NamedDoubleTimeSeriesPoint

extends TimeSeriesPoint<Double>
implements INamedElement

Since:
  1.10
Author:
  Tillmann Carlos Bielefeld

Constructor Summary
`NamedDoubleTimeSeriesPoint(long time, Double value, String name)` Constructor.

Method Summary
`double` | `getDoubleValue()`
`String` | `getName()` Returns the name of the element.
`String` | `toString()`

Methods inherited from class kieker.tools.tslib.TimeSeriesPoint
`getTime, getValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedDoubleTimeSeriesPoint

    public NamedDoubleTimeSeriesPoint(long time,
                                      Double value,
                                      String name)

  Constructor.

  Parameters:
    `time` - timestamp
    `value` - measurement value
    `name` - name of the ts point

Method Detail

### getName

    public String getName()

  Description copied from interface: `INamedElement`
  Returns the name of the element.

  Specified by:
    `getName` in interface `INamedElement`
  Returns:
    name of the element

### getDoubleValue

    public double getDoubleValue()

### toString

    public String toString()

  Overrides:
    `toString` in class `TimeSeriesPoint<Double>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net